Get Vms On Extended Network

Get Vms On Extended Network
Get VMs on extended Network

Get VMs on extended Network

Request
URI
GET
https://{server}/hybridity/api/l2Extensions/{networkExtensionId}/vms
COPY
Path Parameters
string
networkExtensionId
Required

Extended Network ID


Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns NESuccessGetResponse of type(s) application/json
{
    "items": [
        {
            "vmId": "string",
            "name": "string",
            "powerState": "string",
            "isProximityRouted": false,
            "ipAddresses": [
                "string"
            ],
            "endpointId": "string",
            "endpointName": "string",
            "resourceId": "string",
            "resourceName": "string",
            "runtimeRouterEndpointId": "string",
            "configuredRouterEndpointId": "string",
            "task": {
                "id": "string",
                "status": "string",
                "progress": 0,
                "statusMessage": "string",
                "intent": {
                    "vmId": "string",
                    "resourceId": "string",
                    "routerEndpointId": "string",
                    "siwtchoverType": "string",
                    "networkExtensionId": "string"
                },
                "errorCode": "string",
                "errorMessage": "string"
            }
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
items
Optional

items

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns NEVMInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/l2Extensions/{networkExtensionId}/vms